> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/ibc-apps-transfer-v1-denom_hashes-trace.md).

# /ibc/apps/transfer/v1/denom\_hashes/{trace}

DenomHash queries a denomination hash information.

#### **Parameters:**

**trace - string**, The denomination trace (\[port\_id]/\[channel\_id])+/\[denom]

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/ibc/apps/transfer/v1/denom_hashes/{trace}

// Result

```

{% endcode %}
